IOSTAT(8)

NAME
iostat - report I/O statistics

SYNOPSIS
iostat [-CDdIT] [-c count] [-M core] [-N system] [-w wait] [drives]

DESCRIPTION
iostat displays kernel I/O statistics on terminal, disk and CPU operations. By default, iostat displays one line of statistics averaged over the machine's run time. The -I option causes iostat to print raw, unaveraged values.

The options are as follows:

-C  Show CPU statistics. This is enabled by default unless the -D, -d, or -T flags are used.

-c count
    Repeat the display count times. Unless the -I flag is in effect, the first display is for the time since a reboot and each subsequent report is for the time period since the last display. Unless overridden by the -w option, the wait interval between lines is 1 second.

-D  Show alternate disk statistics. Displays kilobytes transferred, number of transfers, and time spent in transfers. Use of this flag disables the default display.

-d  Show disk statistics. This is the default. Displays kilobytes per transfer, number of transfers, and megabytes transferred. Use of this flag disables display of CPU and tty statistics.

-I  Show the running total values, rather than an average.

-M core
    Extract values associated with the name list from the specified core instead of the default /dev/mem.

-N system
    Extract the name list from the specified system instead of the default “/bsd”.

-T  Show tty statistics. This is enabled by default unless the -C, -D, or -d flags are used.

-w wait
    Pause wait seconds between each display. Unless a count is specified via the -c option, iostat will display output until it is interrupted.

iostat displays its information in the following format:

tty
    tin characters read from terminals
    tout
        characters written to terminals

disks
    Disk operations. The header of the field is the disk name and unit number. If more than four disk drives are configured in the system, iostat displays only the first four drives. To force iostat to display specific drives, their names may be supplied on the command line.

    KB/t
        Kilobytes transferred per disk transfer
    t/s Transfers per second
    MB/s
        Megabytes transferred per second
    The alternate display format, (selected with -D), presents the following values:

    KB  Kilobytes transferred
    xfr Disk transfers
    time
        Seconds spent in disk activity

cpu
    us  % of CPU time in user mode
    ni  % of CPU time in user mode running niced processes
    sy  % of CPU time in system mode
    sp  % of CPU time spent spinning
    in  % of CPU time processing interrupts
    id  % of CPU time in idle mode

FILES
/bsd
    default kernel namelist
/dev/mem
    default memory file

SEE ALSO
fstat(1), netstat(1), nfsstat(1), ps(1), systat(1), top(1), pstat(8), vmstat(8)

The sections starting with “Interpreting system activity” in